Create Authentication Token
POSTRequest Parameters
| Parameter | Type |
|---|---|
| clientId | string |
| clientSecret | string |
Response Parameters
| Parameter | Type |
|---|---|
| status | string |
| auth_token | string |
| id | string |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Request Body
JSON payload to send
{
"clientId": "CLIENT_ID",
"clientSecret": "CLIENT_SECRET"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/createAuthToken/' \
-H 'Content-Type: application/json' \
-d '{
"clientId": "CLIENT_ID",
"clientSecret": "CLIENT_SECRET"
}'Get Wallet Balance
GETReturn the current wallet balance for your account.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/getGreenBalance' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Transaction History
GETPaginated wallet transaction history ledger — every entry, newest first.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/whatsubTransactionHistory?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'SIP call API
POSTSIP call API — call this endpoint to interact with call.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/11.0.2 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"phone_number": "NUMBER",
"did": "DID",
"websocket_url": "WEBSOCKET_URL",
"webhook_url": "WEBHOOK_URL",
"sample_rate": "SAMPLE_RATE"
}
Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createSIPCall' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/11.0.2' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"phone_number": "NUMBER",
"did": "DID",
"websocket_url": "WEBSOCKET_URL",
"webhook_url": "WEBHOOK_URL",
"sample_rate": "SAMPLE_RATE"
}
'Initiate Call
POSTSubmit Initiate Call — kick off an asynchronous call operation.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"agentId": "AGENT_ID",
"prospect_id": "PROSPECT_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/initiateVocallabsCall?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agentId": "AGENT_ID",
"prospect_id": "PROSPECT_ID"
}'Get Call Details
GETReturn full detail for a single call by id.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| callId | string | no | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
callId | CALL_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getVocallabsCall?callId=CALL_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Voices
GETRead Get Voices — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getVoices?0=' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Call API Tokens
GETRead Get Call API Tokens — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallAPITokens?0=' \
-H 'Authorization: Bearer AUTH_TOKEN'Call API
POSTCall API — call this endpoint to interact with call.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.0 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"from": "DID",
"number": "NUMBER"
}
Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/initiateCallWebhook' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.0' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"from": "DID",
"number": "NUMBER"
}
'Get Call Timeline
GETRead Get Call Timeline — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| phone_to | string | no | phone to |
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
phone_to | PHONE_TO |
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallTimeline?phone_to=PHONE_TO&limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Daily Calls
GETRead Get Daily Calls — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| start_date | string | no | inclusive window start (YYYY-MM-DD) |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
start_date | START_DATE |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getDailyCalls?start_date=START_DATE' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Websocket url
GETRead Get Websocket url — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
| prospect_id | string | yes | id of the prospect |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
prospect_id | PROSPECT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getWebsocketUrl?agent_id=AGENT_ID&prospect_id=PROSPECT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Audit one
GETRead Get Audit one — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| call_id | string | yes | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
call_id | CALL_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getOneAudit?call_id=CALL_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Audits
GETRead Get Audits — fetch the requested resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAllAudits' \
-H 'Authorization: Bearer AUTH_TOKEN'upload audio Url
POSTUpload a resource payload to your account.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.0 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id": "AGENT_ID",
"recording_url": [
"example1.wav",
"example2.wav"
]
}
Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/uploadAudits' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.0' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id": "AGENT_ID",
"recording_url": [
"example1.wav",
"example2.wav"
]
}
'Create Direct Call
POSTCreate a new call. Returns its id for subsequent lookup.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"client_token_id": "CLIENT_TOKEN_ID",
"number": "NUMBER"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createDirectCall?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"client_token_id": "CLIENT_TOKEN_ID",
"number": "NUMBER"
}'Hangup Call
POSTHangup Call — call this endpoint to interact with call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Request Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| call_id | string | yes | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"call_id": "3aa6340b-8b4b-4bc7-923f-614e1ee28318"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/hangupCall?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"call_id": "3aa6340b-8b4b-4bc7-923f-614e1ee28318"
}'Get Agents
GETRead Get Agents — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAIAgents?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Agent By ID
GETRead Get Agent By ID — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAIAgentByID?agent_id=AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Create New Agent
POSTCreate a new agent. Returns its id for subsequent lookup.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"name" : "AGENT_NAME"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createAIAgent?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"name" : "AGENT_NAME"
}'Update Agent by ID
POSTUpdate fields on an existing agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Request Body
JSON payload to send
{
"agent_id":
"AGENT_ID",
"name":
"AGENT_NAME",
"inputs_needed":
{
"contact_id":
"CONTACT_ID"
},
"welcome_message":
"AGENT_WELCOME_MESSAGE",
"agent_prompt":
"Hello , your ID is .",
"analytics_prompt":
"AGENT_ANALYTICS_PROMPT",
"language":
"AGENT_LANGUAGE",
"call_token_id":
"CALL_TOKEN_ID",
"voice_id":
"VOICE_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateAIAgent?agent_id=AGENT_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id":
"AGENT_ID",
"name":
"AGENT_NAME",
"inputs_needed":
{
"contact_id":
"CONTACT_ID"
},
"welcome_message":
"AGENT_WELCOME_MESSAGE",
"agent_prompt":
"Hello , your ID is .",
"analytics_prompt":
"AGENT_ANALYTICS_PROMPT",
"language":
"AGENT_LANGUAGE",
"call_token_id":
"CALL_TOKEN_ID",
"voice_id":
"VOICE_ID"
}'Get Agent Templates
GETRead Get Agent Templates — fetch the requested agent.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAgentTemplates' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get voices by language
GETRead Get voices by language — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| language | string | no | BCP-47 language tag (e.g. en-US) |
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
language | ENGLISH |
1 | |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getVoicesByLanguageComment?1=&language=ENGLISH' \
-H 'Authorization: Bearer AUTH_TOKEN'Toggle favorite
POSTFlip the on/off state of a resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id":
"AGENT_ID",
"favorite":
true
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/toggleFavorite' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id":
"AGENT_ID",
"favorite":
true
}'update visibility of agent
POSTUpdate fields on an existing agent.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id":
"AGENT_ID",
"isShared":
true
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateAgentShared' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id":
"AGENT_ID",
"isShared":
true
}'Agent prompt History
POSTAgent prompt History — call this endpoint to interact with agent.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id": "AGENT_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/agentPromptHistory' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id": "AGENT_ID"
}'Update success metric
POSTUpdate fields on an existing resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id":
"AGENT_ID",
"success_metric":
{
"description":
"<e.g. user is satisfied>",
"another thing": "<desciption of another thing>"
}
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateSuccessMetric' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id":
"AGENT_ID",
"success_metric":
{
"description":
"<e.g. user is satisfied>",
"another thing": "<desciption of another thing>"
}
}'Update whatsapp notification
POSTUpdate fields on an existing resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id":
"AGENT_ID",
"value":
true
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateWhatsappNotification' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id":
"AGENT_ID",
"value":
true
}'Update mail notification
POSTUpdate fields on an existing resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"agent_id":
"AGENT_ID",
"value":
true
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateMailNotification' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id":
"AGENT_ID",
"value":
true
}'Get Agent Document
GETRead Get Agent Document — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAgentDocuments?agent_id=AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Insert Agent documents
POSTInsert Agent documents — call this endpoint to interact with agent.
Request Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| file_name | string | yes | file name |
| file_url | string | yes | URL string |
| file_type | string | yes | file type |
| site_url | string | yes | URL string |
| webcrawler_depth | int | yes | webcrawler depth |
| crawl_status | string | yes | crawl status |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"file_name":
"<your file name>",
"file_url":
"https://chatgpt.com/c/683fe20c-a1c8-800b-bb69-238ced72f858",
"file_type":
"<file type>",
"site_url":
"https://chatgpt.com/c/683fe20c-a1c8-800b-bb69-238ced72f858",
"webcrawler_depth": 2,
"crawl_status":
"<crawl status>"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/insertAgentDocx' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"file_name":
"<your file name>",
"file_url":
"https://chatgpt.com/c/683fe20c-a1c8-800b-bb69-238ced72f858",
"file_type":
"<file type>",
"site_url":
"https://chatgpt.com/c/683fe20c-a1c8-800b-bb69-238ced72f858",
"webcrawler_depth": 2,
"crawl_status":
"<crawl status>"
}'Get AI models
GETRead Get AI models — fetch the requested resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAIModels' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Agent reschedule
GETRead Get Agent reschedule — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAgentActions?agent_id=AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Update Agent reschedule
POSTUpdate fields on an existing agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"agent_id": "AGENT_ID",
"reschedule": true
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateAgentReschedule?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id": "AGENT_ID",
"reschedule": true
}'Get agent keyword replacements
GETRead Get agent keyword replacements — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getKeywordReplacements?agent_id=AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get agent keywords
GETRead Get agent keywords — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAgentKeywords?agent_id=AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Add keywords replacements
POSTCreate a new keyword. Returns its id for subsequent lookup.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"objects":
[
{
"agent_id":
"AGENT_ID",
"keyword":
"<keywords>",
"replacement":
"<its replacement>"
}
]
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/addKeyword' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"objects":
[
{
"agent_id":
"AGENT_ID",
"keyword":
"<keywords>",
"replacement":
"<its replacement>"
}
]
}'update keyword replacement
POSTUpdate fields on an existing keyword.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"keyword_id":
"KEYWORD_ID",
"keyword":
"<keyword>",
"replacement":
"<its replacement>"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateKeyword' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"keyword_id":
"KEYWORD_ID",
"keyword":
"<keyword>",
"replacement":
"<its replacement>"
}'delete keyword replacement
DELETEDelete the specified keyword. Idempotent: returns success if already gone.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| keyword_id | string | yes | id of the keyword |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
keyword_id | KEYWORD_ID |
Code Examples
Ready-to-run snippets in your language
curl -X DELETE 'https://api.superflow.run/b2b/vocallabs/deleteKeyword?keyword_id=KEYWORD_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Agent template
GETRead Get Agent template — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| template_agent_id | string | yes | id of the template agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
template_agent_id | TEMPLATE_AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getTemplate?template_agent_id=TEMPLATE_AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Agent samples
GETRead Get Agent samples — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| template_agent_id | string | yes | id of the template agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
template_agent_id | TEMPLATE_AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAgentSamples?template_agent_id=TEMPLATE_AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Agent FAQs
GETRead Get Agent FAQs — fetch the requested agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getAgentFaq?agent_id=AGENT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Insert Agent FAQs
POSTInsert Agent FAQs — call this endpoint to interact with agent.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"agent_id": "AGENT_ID",
"ques_data": "<ques>",
"ans_data": "<ans>",
"operation": "<delete|insert|update>",
"faq_id": "<faq-id> (not required in insert)"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/agentFaq?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"agent_id": "AGENT_ID",
"ques_data": "<ques>",
"ans_data": "<ans>",
"operation": "<delete|insert|update>",
"faq_id": "<faq-id> (not required in insert)"
}'Get Call statuses
GETReturn full detail for a single call by id.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallStatuses' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Call Conversation
GETRead Get Call Conversation — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| call_id | string | yes | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
call_id | CALL_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallConversation?call_id=CALL_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Call Data
GETRead Get Call Data — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| call_id | string | yes | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
call_id | CALL_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallData?call_id=CALL_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Call Status
GETReturn full detail for a single call by id.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| call_id | string | yes | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
call_id | CALL_ID |
Request Body
JSON payload to send
{}Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallStatus?call_id=CALL_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Call Summary
GETRead Get Call Summary — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| call_id | string | yes | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
call_id | CALL_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCallSummary?call_id=CALL_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN'get post call data
GETRead get post call data — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| agent_id | string | yes | id of the agent |
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
agent_id | AGENT_ID |
1 | |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getPostCallData?1=&agent_id=AGENT_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN'Update Post Call Data
POSTUpdate fields on an existing call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"call_id": "CALL_ID",
"key": "<key>",
"prompt": "<prompt for getting the key>"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updatePostCallData?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"call_id": "CALL_ID",
"key": "<key>",
"prompt": "<prompt for getting the key>"
}'Delete Post Call Data
POSTDelete the specified call. Idempotent: returns success if already gone.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"call_id":
"CALL_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/deletePostCallData?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"call_id":
"CALL_ID"
}'Get vocallabs Call Data
GETRead Get vocallabs Call Data — fetch the requested call.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| callId | string | no | id of the call |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
callId | CALL_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getVocallabsCall?callId=CALL_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN'Create Contact Group
POSTCreate a new contact. Returns its id for subsequent lookup.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"name": "CONTACT_GROUP_NAME"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createContactGroup?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"name": "CONTACT_GROUP_NAME"
}'Create Contact in Group
POSTCreate a new contact. Returns its id for subsequent lookup.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"name": "CONTACT_NAME",
"phone":"NUMBER",
"prospect_group_id":"PROSPECT_GROUP_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createContactInGroup?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"name": "CONTACT_NAME",
"phone":"NUMBER",
"prospect_group_id":"PROSPECT_GROUP_ID"
}'Update Contact Metadata in Group
POSTUpdate fields on an existing contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| prospect_id | string | yes | id of the prospect |
Request Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| metadata | object | yes | metadata |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
prospect_id | PROSPECT_ID |
Request Body
JSON payload to send
{
"metadata": {
"key": "value"
}
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateContactMetadata?prospect_id=PROSPECT_ID' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"metadata": {
"key": "value"
}
}'Get Contact Group
GETRead Get Contact Group — fetch the requested contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getContactGroups?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Update Contact Group
POSTUpdate fields on an existing contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"client_id":
"USERID",
"id":
"PROSPECT_GROUP_ID",
"name":
"CONTACT_GROUP_NAME"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateContactGroup?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"client_id":
"USERID",
"id":
"PROSPECT_GROUP_ID",
"name":
"CONTACT_GROUP_NAME"
}'Delete Contact Group
DELETEDelete the specified contact. Idempotent: returns success if already gone.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"id":
"{{ _.prospect_groups_id }}"
}Code Examples
Ready-to-run snippets in your language
curl -X DELETE 'https://api.superflow.run/b2b/vocallabs/deleteContactGroup?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"id":
"{{ _.prospect_groups_id }}"
}'Delete Contact
DELETEDelete the specified contact. Idempotent: returns success if already gone.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"contact_id":
"CONTACT_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X DELETE 'https://api.superflow.run/b2b/vocallabs/deleteContact?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"contact_id":
"CONTACT_ID"
}'Get Contacts
GETRead Get Contacts — fetch the requested contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getContacts?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Add multiple contacts to group
POSTCreate a new contact. Returns its id for subsequent lookup.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"prospects": [
{
"name": "John Doe",
"phone": "+911204567690",
"data": {
"test": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
},
{
"name": "Jane Smith",
"phone": "+914877543610",
"data": {
"key": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
}
]
}
Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/addMultipleContactsToGroup' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"prospects": [
{
"name": "John Doe",
"phone": "+911204567690",
"data": {
"test": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
},
{
"name": "Jane Smith",
"phone": "+914877543610",
"data": {
"key": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
}
]
}
'Get Contact Data
GETRead Get Contact Data — fetch the requested contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
| prospect_id | string | yes | id of the prospect |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
prospect_id | PROSPECT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getContactData?limit=LIMIT&offset=OFFSET&prospect_id=PROSPECT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Update Contact Data
POSTUpdate fields on an existing contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"prospect_id":
"PROSPECT_ID",
"data":
{
"<key>":
"<value>",
"<key2>":
"<value2>"
}
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateContactData?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"prospect_id":
"PROSPECT_ID",
"data":
{
"<key>":
"<value>",
"<key2>":
"<value2>"
}
}'Get Contact
GETRead Get Contact — fetch the requested contact.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| prospect_id | string | yes | id of the prospect |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
prospect_id | PROSPECT_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getContact?prospect_id=PROSPECT_ID' \
-H 'Authorization: Bearer AUTH_TOKEN'Create Contact Group V2
POSTCreate a new contact. Returns its id for subsequent lookup.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"name": "CONTACT_GROUP_NAME"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createContactGroupV2?0=' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"name": "CONTACT_GROUP_NAME"
}'Add multiple contacts to group V2
POSTCreate a new contact. Returns its id for subsequent lookup.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"prospects": [
{
"name": "John Doe",
"phone": "+911204567690",
"data": {
"test": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
},
{
"name": "Jane Smith",
"phone": "+914877543610",
"data": {
"key": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
}
]
}
Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/addMultipleContactsToGroupV2' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"prospects": [
{
"name": "John Doe",
"phone": "+911204567690",
"data": {
"test": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
},
{
"name": "Jane Smith",
"phone": "+914877543610",
"data": {
"key": "test"
},
"prospect_group_id": "PROSPECT_GROUP_ID",
"client_id": "USERID"
}
]
}
'Get Actions
GETRead Get Actions — fetch the requested agent action.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getActions' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Create Action
POSTCreate a new agent action. Returns its id for subsequent lookup.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| string | no |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
0 | |
Request Body
JSON payload to send
{
"action_name":
"ACTION_NAME",
"description":
"DESCRIPTION",
"external_curl":
"EXTERNAL_CURL",
"success_response":
"SUCCESS_RESPONSE",
"failure_response":
"FAILURE_RESPONSE",
"interruption_response":
"INTERRUPTION_RESPONSE",
"ref_code":
"REF_CODE"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createAction?0=' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"action_name":
"ACTION_NAME",
"description":
"DESCRIPTION",
"external_curl":
"EXTERNAL_CURL",
"success_response":
"SUCCESS_RESPONSE",
"failure_response":
"FAILURE_RESPONSE",
"interruption_response":
"INTERRUPTION_RESPONSE",
"ref_code":
"REF_CODE"
}'Update Action
POSTUpdate fields on an existing agent action.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"id" : "ACTION_ID",
"action_name":
"ACTION_NAME",
"description":
"DESCRIPTION",
"external_curl":
"EXTERNAL_CURL",
"success_response":
"SUCCESS_RESPONSE",
"failure_response":
"FAILURE_RESPONSE",
"interruption_response":
"INTERRUPTION_RESPONSE",
"ref_code":
"REF_CODE"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateAction' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"id" : "ACTION_ID",
"action_name":
"ACTION_NAME",
"description":
"DESCRIPTION",
"external_curl":
"EXTERNAL_CURL",
"success_response":
"SUCCESS_RESPONSE",
"failure_response":
"FAILURE_RESPONSE",
"interruption_response":
"INTERRUPTION_RESPONSE",
"ref_code":
"REF_CODE"
}'Delete Action
DELETEDelete the specified agent action. Idempotent: returns success if already gone.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"id" : "ACTION_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X DELETE 'https://api.superflow.run/b2b/vocallabs/deleteAction' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"id" : "ACTION_ID"
}'Get Documents
GETRead Get Documents — fetch the requested knowledge document.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getDocuments' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Delete Document
DELETEDelete the specified knowledge document. Idempotent: returns success if already gone.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"id" : "DOCUMENT_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X DELETE 'https://api.superflow.run/b2b/vocallabs/deleteDocument' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"id" : "DOCUMENT_ID"
}'Get Action templates
GETRead Get Action templates — fetch the requested agent action.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getActionTemplates' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Action template details
GETReturn full detail for a single agent action by id.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| template_action_id | string | yes | id of the template action |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
template_action_id | TEMPLATE_ACTION_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getActionTemplateDetails?template_action_id=TEMPLATE_ACTION_ID' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Action Parameter
GETRead Get Action Parameter — fetch the requested agent action.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| action_id | string | yes | id of the action |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
action_id | ACTION_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getActionParameters?action_id=ACTION_ID' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Action fields
GETRead Get Action fields — fetch the requested agent action.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| action_id | string | yes | id of the action |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
action_id | ACTION_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getActionFields?action_id=ACTION_ID' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Action Configuration
GETRead Get Action Configuration — fetch the requested agent action.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| action_id | string | yes | id of the action |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
action_id | ACTION_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getActionConfiguration?action_id=ACTION_ID' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Flows
GETRead Get Flows — fetch the requested agent flow.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getFlows' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Identity Url
POSTRead Get Identity Url — fetch the requested resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"flow_id": "FLOW_ID",
"prospect_id": "PROSPECT_ID",
"verification_type": "aadhaar or pan",
"created_at": "2025-10-09T12:05:17.875Z"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/getIdentityUrl' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"flow_id": "FLOW_ID",
"prospect_id": "PROSPECT_ID",
"verification_type": "aadhaar or pan",
"created_at": "2025-10-09T12:05:17.875Z"
}'Get Dashboard stats
GETRead Get Dashboard stats — fetch the requested dashboard data.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/11.1.0 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getDashboardStats' \
-H 'User-Agent: insomnia/11.1.0' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Tokens
GETRead Get Tokens — fetch the requested resource.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/11.1.0 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getTokens' \
-H 'User-Agent: insomnia/11.1.0' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Campaigns
GETRead Get Campaigns — fetch the requested campaign.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCampaigns' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Create Campaign
POSTCreate a new campaign. Returns its id for subsequent lookup.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"name": "CAMPAIGN_NAME",
"agent_id": "AGENT_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/createCampaign' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"name": "CAMPAIGN_NAME",
"agent_id": "AGENT_ID"
}'Update Campaign
POSTUpdate fields on an existing campaign.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"campaign_id": "CAMPAIGN_ID",
"campaign_name": "CAMPAIGN_NAME"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateCampaign' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"campaign_id": "CAMPAIGN_ID",
"campaign_name": "CAMPAIGN_NAME"
}'Delete Campaign
DELETEDelete the specified campaign. Idempotent: returns success if already gone.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"id" : "CAMPAIGN_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X DELETE 'https://api.superflow.run/b2b/vocallabs/deleteCampaign' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"id" : "CAMPAIGN_ID"
}'Get Queueing Details
GETReturn full detail for a single resource by id.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
| campaign_id | string | yes | id of the campaign |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
campaign_id | CAMPAIGN_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getQueueingDetails?limit=LIMIT&offset=OFFSET&campaign_id=CAMPAIGN_ID' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Campaign Status
GETReturn full detail for a single campaign by id.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| campaign_id | string | yes | id of the campaign |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
campaign_id | CAMPAIGN_ID |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getCampaignStatus?campaign_id=CAMPAIGN_ID' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN'Update Campaign Status
POSTUpdate fields on an existing campaign.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/10.3.1 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"campaign_id":
"CAMPAIGN_ID",
"active": false
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/updateCampaignStatus' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/10.3.1' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"campaign_id":
"CAMPAIGN_ID",
"active": false
}'Add Contacts to Campaign
POSTCreate a new contact. Returns its id for subsequent lookup.
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/11.1.0 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"user_id": "CLIENT_ID",
"campaign_id": "CAMPAIGN_ID",
"prospect_group_id":"PROSPECT_GROUP_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/addContactsToCampaign' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/11.1.0' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"user_id": "CLIENT_ID",
"campaign_id": "CAMPAIGN_ID",
"prospect_group_id":"PROSPECT_GROUP_ID"
}'Fetch Available Numbers
GETRead Fetch Available Numbers — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/fetchAvailableNumbers?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Get Your Numbers
GETRead Get Your Numbers — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/getNumbers?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Fetch Countries
GETRead Fetch Countries — fetch the requested resource.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| limit | int | no | max rows per page |
| offset | int | no | rows to skip for pagination |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Authorization | Bearer AUTH_TOKEN |
Query Parameters
Appended to the URL as ?key=value
| Key | Value |
|---|---|
limit | LIMIT |
offset | OFFSET |
Code Examples
Ready-to-run snippets in your language
curl -X GET 'https://api.superflow.run/b2b/vocallabs/fetchCountries?limit=LIMIT&offset=OFFSET' \
-H 'Authorization: Bearer AUTH_TOKEN'Bridge Call
POSTBridge Call — connect two phone numbers in a single conference.
Headers
| Header | Required | Description |
|---|---|---|
| Authorization | yes | Bearer <auth_token> user JWT |
Request Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| phone_1 | string | yes | first leg phone number |
| phone_2 | string | yes | second leg phone number |
| client_token_id | string | yes | id of the client token |
Response
| Field | Type | Notes |
|---|---|---|
| status | string | success on 200 |
| data | object | endpoint-specific payload |
Errors
| Status | Message | When |
|---|---|---|
| 401 | unauthorized | bearer auth_token missing/invalid |
| 400 | invalid params | required field missing or malformed |
| 402 | insufficient balance | wallet cannot cover the request (if billable) |
| 404 | not found | referenced resource does not exist |
Headers
Request headers sent with this endpoint
| Key | Value |
|---|---|
Content-Type | application/json |
User-Agent | insomnia/12.6.0 |
Authorization | Bearer AUTH_TOKEN |
Request Body
JSON payload to send
{
"phone_1": "PHONE_1",
"phone_2": "PHONE_2",
"client_token_id": "CLIENT_TOKEN_ID"
}Code Examples
Ready-to-run snippets in your language
curl -X POST 'https://api.superflow.run/b2b/vocallabs/conference-call' \
-H 'Content-Type: application/json' \
-H 'User-Agent: insomnia/12.6.0' \
-H 'Authorization: Bearer AUTH_TOKEN' \
-d '{
"phone_1": "PHONE_1",
"phone_2": "PHONE_2",
"client_token_id": "CLIENT_TOKEN_ID"
}'